Page MenuHomePhabricator

Update updatequerypages::cronjob and refreshlinks::cronjob now that silver no longer has a database
Open, NormalPublic

Description

:~/puppet/modules/mediawiki$ grep -ir silver *
manifests/maintenance/updatequerypages.pp:    mediawiki::maintenance::updatequerypages::cronjob { ['s1@11', 's2@12', 's3@13', 's4@14', 's5@15', 's6@16', 's7@17', 's8@18', 'silver@19']: }
manifests/maintenance/refreshlinks.pp:    mediawiki::maintenance::refreshlinks::cronjob { ['s1@1', 's2@2', 's3@3', 's4@4', 's5@5', 's6@6', 's7@7', 's8@8', 'silver@9']: }

I don't at all understand what those are. Probably the references to silver just need to be removed, but it seems like they should then be replaced with references to m5 (or labweb? I'm not clear.)


After discussion with @jcrespo we have this list of remediation steps:

  • Rename the new wikitech section from m5 to something sensible like "wikitech". Using the same label for a MediaWiki LBFactory label and a layer 4 proxy causes confusion.
  • Rename silver.dblist to the same name as the section, e.g. wikitech.dblist, including labswiki and maybe labstestwiki (See related issues at T192339). This should be done in two steps: first introduce the new dblist name, then later remove the old one after ensuring it is no longer used.
  • Check and fix old references to silver dblist on mediawiki configuration and puppet
  • In particular, change operations/puppet:modules/mediawiki/manifests/maintenance/{updatequerypages.pp,refreshlinks.pp} to the new dblist name
  • Reference wikitech section databases exclusively by A DNS entry (db1073 currently) rather than by its CNAME alias to avoid double load-balancing (mediawiki AND misc) and make TLS possible

Event Timeline

Andrew triaged this task as Normal priority.Mar 12 2018, 11:24 PM
Andrew created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMar 12 2018, 11:24 PM

Those are section names and hours. Mediawiki doesn't know about m5 section.

Apparently now there is an m5 on mediawiki- cloud and dbas should sync because now there are 2 things named m5 on WMF.

Andrew closed this task as Invalid.Apr 4 2018, 8:56 PM

There is an issue here being ignored- there is mediawiki's view of m5 and misc m5, each with its own load balancer, and that is very confusing.

jcrespo added a comment.EditedApr 6 2018, 10:08 AM

On another side, cronjobs are still referred as silver on production, shouldn't that change too? Can you comment why this was closed as invalid? I understand there is a silver.dblist, but we shouldn't keep a dblist and a section name out of sync.

Andrew reopened this task as Open.Apr 6 2018, 2:36 PM

ok -- I opened this bug due to grepping for 'silver' and I don't understand what "manifests/maintenance/updatequerypages.pp" is at all. I had the impression from @jcrespo's comments that those strings were arbitrary and hence harmless, but I welcome a cleanup patch form someone who knows what this is.

Andrew removed Andrew as the assignee of this task.Apr 6 2018, 2:37 PM

Things to do:

  • Rename the section to something sensible like "wikitech"
  • Rename silver.dblist to the same name as the section, e.g. wikitech.dblist, including labswiki and maybe labstestwiki (See related issues at T192339)
  • Check and fix old references to silver on mediawiki configuration and puppet
    • In particular, change operations/puppet:modules/mediawiki/manifests/maintenance/{updatequerypages.pp,refreshlinks.pp} to the new dblist name, once it is changed
  • Reference wikitech section databases exclusively by its A DNS entry (db1073, at the time) rather than by its alias to avoid double load-balancing (mediawiki AND misc) and at the moment, make TLS possible

@Krinkle I had a meeting with @bd808 and @Andrew and they agreed to fix these issues

bd808 updated the task description. (Show Details)Apr 17 2018, 3:02 PM

Change 427812 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Wikitech: change maintenance jobs to use the 'wikitech' dblist

https://gerrit.wikimedia.org/r/427812

Rename the section to something sensible like "wikitech"

Apart from the dblist, where is a section defined or named?

section defined or named

operations/mediawiki-config:wmf-config/{db-eqiad.php,db-codfw.php}

It may be referred somewhere else on mediawiki-config and puppet

Ah, ok, so the first two items in the list are the same. That's easy!

Change 427812 merged by Andrew Bogott:
[operations/puppet@production] Wikitech: change maintenance jobs to use the 'wikitech' dblist

https://gerrit.wikimedia.org/r/427812

Change 427910 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/mediawiki-config@master] Remove silver.dblist

https://gerrit.wikimedia.org/r/427910

Change 427910 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove silver.dblist

https://gerrit.wikimedia.org/r/427910

Andrew updated the task description. (Show Details)Apr 20 2018, 2:16 PM

Sorry, Andrew, insisting because I may be misunderstood. You have done step2. Step 1, for clarity, would be to edit db-eqiad.php and db-codfw.php structure (which I wouldn't recommend doing on a Friday and add us as reviewers so we are aware of it, as we edit that file heavily).

jcrespo updated the task description. (Show Details)Apr 20 2018, 2:17 PM

As a note, the list and the section name doesn't have to match, so there is nothing technically incorrect, but it is confusing (using the same name to refer to the same thing is something I recommend).

Change 427915 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/mediawiki-config@master] Add 'wikitech' section for wikitech db hosts

https://gerrit.wikimedia.org/r/427915

As a note, the list and the section name doesn't have to match, so there is nothing technically incorrect, but it is confusing (using the same name to refer to the same thing is something I recommend).

So, https://gerrit.wikimedia.org/r/#/c/427915/ ?

Change 427930 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/mediawiki-config@master] Rename 'm5' section to 'wikitech' and add explicit hostnames.

https://gerrit.wikimedia.org/r/427930

Change 427930 merged by jenkins-bot:
[operations/mediawiki-config@master] Rename 'm5' section to 'wikitech' and add explicit hostnames.

https://gerrit.wikimedia.org/r/427930

Mentioned in SAL (#wikimedia-operations) [2018-04-24T17:49:53Z] <andrew@tin> Synchronized wmf-config/db-codfw.php: Renaming 'm5' section to 'wikitech' for T189542, one of two (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2018-04-24T17:51:08Z] <andrew@tin> Synchronized wmf-config/db-eqiad.php: Renaming 'm5' section to 'wikitech' for T189542, two of two (duration: 00m 59s)

Change 427915 abandoned by Andrew Bogott:
Add 'wikitech' section for wikitech db hosts

Reason:
replaced with a different version of the same patch

https://gerrit.wikimedia.org/r/427915

Krinkle removed a subscriber: Krinkle.Apr 28 2018, 12:32 AM